Subject: Re: [PATCH] net/, drivers/net/ , missing EXPERIMENTAL in menus

From: Jeff Garzik <[email-masked]>
Date: Wed, 18 Jul 2007 16:45:21 -0400

Randy Dunlap wrote:
> On Wed, 18 Jul 2007 16:23:09 -0400 (EDT) Robert P. J. Day wrote:
>> there's no point adding all that redundant content when it can all be
>> done automatically.
> 
> I like it.  Are there any kconfig patches to support this plan?

Speaking specifically to adding 'EXPERIMENTAL', I distinctly remember at 
some point in the past the config system was smart enough to print " 
(EXPERIMENTAL)" if that entry depended on CONFIG_EXPERIMENTAL.

We should head in that direction.

I strongly NAK the original patch from Gabriel C in this thread -- it 
just adds too much redundant info.  Better to add it -once-, somewhere 
inside Kconfig system.

	Jeff